> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# List Site Models

> List the models of a site. Returns meta data about the models as well as training status.



## OpenAPI

````yaml get /platform/v2/sites/{site_id}/models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /platform/v2/sites/{site_id}/models:
    get:
      tags:
        - Site
      summary: List Site Models
      description: >-
        List the models of a site. Returns meta data about the models as well as
        training status.
      operationId: list_site_models_platform_v2_sites__site_id__models_get
      parameters:
        - name: site_id
          in: path
          required: true
          schema:
            type: string
            title: Site Id
        - name: model_type
          in: query
          required: false
          schema:
            enum:
              - ai
              - physical
            type: string
            title: Model Type
        - name: extra
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Extra
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/server__customer__versions__v2_fapi__site__site_schema__ModelResponse
                title: >-
                  Response List Site Models Platform V2 Sites  Site Id  Models
                  Get
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    server__customer__versions__v2_fapi__site__site_schema__ModelResponse:
      properties:
        id:
          type: string
          title: Id
          example: 48302759-0371-4d54-9ba1-506708b576fe
        name:
          type: string
          title: Name
          example: My model
        label:
          type: string
          title: Label
          example: My model
        version:
          type: integer
          title: Version
          example: 1
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          example: My model
        priority:
          type: integer
          title: Priority
          example: 1
        output_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Output Types
          default: []
        state:
          items:
            additionalProperties: true
            type: object
          type: array
          title: State
        schedule:
          anyOf:
            - $ref: '#/components/schemas/GenerationSchedule-Output'
            - type: 'null'
        serving_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Serving Active
          description: >-
            Whether the model is active for serving forecasts. Only returned
            when 'serving_active' is included in the `extra` query parameter.
      type: object
      required:
        - id
        - name
        - label
        - version
        - priority
        - state
      title: ModelResponse
    ValidationResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ValidationResponse
    GenerationSchedule-Output:
      properties:
        type:
          type: string
          const: cron
          title: Type
          example: cron
        value:
          type: string
          title: Value
          example: 0 0 * * *
      type: object
      required:
        - type
        - value
      title: GenerationSchedule
    ErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your API key. This is required to access our API programatically. You
        can view your API key in the Rebase dashboard.
      in: header
      name: Authorization

````